Use -fopenmp flag when compiling CoCoALib with libnormaliz

29 Jan 2014 15:38 - Christof Soeger

Status: Closed Start date: 29 Jan 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 1.51 hour

Target version: CoCoALib-0.99533 Easter14 Spent time: 1.25 hour

Description

Right now libnormaliz can be included to CoCoALib only without using OpenMP. We did it this way to have an easier start.

But I think it would be no problem to add the -fopenmp flag. It is recognized by many compilers (gcc, icc, ...) and should not give a

disadvantage if it is not used.

To support the case where the flag is not supported there are two possibilities:

Detect whether the compiler supports it by compiling a test programm.

Detect whether libnormaliz was compiled with OpenMP. A possible test might be something like nm -g | grep " omp_".

Related issues:

Related to CoCoA - Support #425: Osnabrueck 2014-01 Closed 27 Jan 2014

History

#1 - 29 Jan 2014 16:08 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 30

JAA has written a new script, and added a suitable call to configure.

Christof confirms that it works for him, except for the GUI :-(

#2 - 29 Jan 2014 16:47 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

Resolved the outstanding problem -- the flag had to passed correctly to qmake.

JAA has fixed the make-c5makefile.sh script; Christof reports that it works OK now.

#3 - 30 Jan 2014 10:38 - Christof Soeger

without --with-libnormaliz it still tries to check and get

nm: '': No such file

#4 - 30 Jan 2014 14:01 - Christof Soeger

For me it now works fine. With and without libnormaliz.

#5 - 01 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14
#6 - 02 Apr 2014 16:33 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No problems reported in over 2 months.  Closing!

#7 - 17 Apr 2014 09:54 - Anna Maria Bigatti

- Estimated time set to 1.51 h
